Bug 1752307 (CVE-2019-11739) - CVE-2019-11739 Mozilla: Covert Content Attack on S/MIME encryption using a crafted multipart/alternative message
Summary: CVE-2019-11739 Mozilla: Covert Content Attack on S/MIME encryption using a cr...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11739
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1749598 1749599 1749601
Blocks: 1749596
TreeView+ depends on / blocked
 
Reported: 2019-09-15 23:56 UTC by Doran Moppert
Modified: 2019-09-19 06:25 UTC (History)
4 users (show)

Fixed In Version: thunderbird 60.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 18:45:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2773 None None None 2019-09-19 03:39:08 UTC
Red Hat Product Errata RHSA-2019:2774 None None None 2019-09-16 14:22:30 UTC
Red Hat Product Errata RHSA-2019:2807 None None None 2019-09-19 06:25:21 UTC

Description Doran Moppert 2019-09-15 23:56:10 UTC
Encrypted S/MIME parts in a crafted multipart/alternative message can leak plaintext when included in a a HTML reply/forward.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-29/#CVE-2019-11739

Comment 1 Doran Moppert 2019-09-15 23:56:13 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Jens Müller, Marcus Brinkmann, Damian Poddebniak, Sebastian Schinzel, Jörg Schwenk

Comment 2 Doran Moppert 2019-09-16 08:31:22 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but it may present a risk in browser-like contexts.

Comment 3 errata-xmlrpc 2019-09-16 14:22:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2774 https://access.redhat.com/errata/RHSA-2019:2774

Comment 4 Product Security DevOps Team 2019-09-16 18:45:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11739

Comment 5 errata-xmlrpc 2019-09-19 03:39:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2773 https://access.redhat.com/errata/RHSA-2019:2773

Comment 6 errata-xmlrpc 2019-09-19 06:25:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:2807 https://access.redhat.com/errata/RHSA-2019:2807


Note You need to log in before you can comment on or make changes to this bug.